## gnustep-base 1.27.0

=== debian/changelog ===
gnustep-base (1.27.0-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/compat: Bump to 13.
  * debian/templates/control.m4 (Build-Depends): Bump debhelper
    requirement to match the compat level.
  * debian/control: Regenerate.
  * debian/not-installed: Add /usr/bin/pl.
  * debian/patches/icu65.patch: Replace with the fix that was actually
    committed upstream.
  * debian/patches/hurd-nsurlconnection.patch: New; mark a test as hopeful
    on GNU/Hurd until we figure out why it is failing.
  * debian/patches/gstls-time_t-limitation.patch: Mark as forwarded.
  * debian/patches/series: Update.
  * debian/templates/libgnustep-baseN.lintian-overrides.m4: Replace
    shlibs-declares-dependency-on-other-package with
    distant-prerequisite-in-shlubs (tag renamed by Lintian).

 -- Yavor Doganov <yavor@gnu.org>  Thu, 11 Jun 2020 20:13:29 +0300

gnustep-base (1.27.0-2) experimental; urgency=medium

  * debian/patches/gstls-time_t-limitation.patch: New; skip certificate
    expiration test on all 32-bit architectures as it is doomed to fail.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Apr 2020 11:34:07 +0300

gnustep-base (1.27.0-1) experimental; urgency=medium

  * New upstream release:
    - SONAME change: libgnustep-base1.26 -> 1.27.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (gnustep-base-doc): Remove Breaks and
    Replaces: gnustep-base-examples; no longer needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/clean: Update for the new SONAME.
  * debian/patches/no-xml-config.patch: Remove; merged upstream.
  * debian/patches/gdomap-udp-amplification.patch: Likewise.
  * debian/patches/icu65.patch: Remove hunks applied upstream.
  * debian/patches/armhf-test.patch: Remove since the test now passes on
    arm64 buildds, both Debian's and Ubuntu's.  As mysterious it may be,
    it looks like it was due to a libffi and/or toolchain bug(s) which
    apparently have been fixed (Closes: #918366).
  * debian/patches/series: Update.
  * debian/rules (override_dh_auto_test): Remove armhf workaround.
    (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed; now GCC default.
  * debian/copyright: Bump copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 16 Apr 2020 18:54:21 +0300

gnustep-base (1.26.0-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 0.5.0.981222-1.

  [ Yavor Doganov ]
  * debian/patches/no-xml-config.patch: New; detect libxml2 with
    pkg-config instead of xml-config (Closes: #949152).
  * debian/patches/icu65.patch: New; compatibility fixes for ICU 65
    (Closes: #952156).
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Rules-Requires-Root): Set to "no".
    (Standards-Version): Bump to 4.5.0.  I intentionally ignore the new
    requirement to include a systemd service unit.  The init script works
    on all GNU variants, has some hardening features, so I fail to see why
    this functionality should be duplicated.
  * debian/control: Regenerate.
  * debian/copyright: Bump copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 03 Apr 2020 16:46:00 +0300

gnustep-base (1.26.0-6) unstable; urgency=medium

  * debian/gnustep-base-runtime.preinst: Use a different approach that
    actually does the job (really closes: #939119).  Thanks Alan Jenkins.
  * debian/NEWS: Document that the gdomap daemon is disabled forcefully.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 20 Sep 2019 13:43:28 +0300

gnustep-base (1.26.0-5) unstable; urgency=medium

  * debian/gnustep-base-runtime.preinst: New file; handle the poor
    upgrade from stretch to buster which left the gdomap daemon enabled
    (Closes: #939119).  Thanks to Alan Jenkins.
  * debian/gnustep-base-runtime.maintscript: Delete; migration done.
  * debian/libgnustep-base-dev.maintscript: Likewise.
  * debian/gnustep-base-doc.links: New file; install symlinks in
    /usr/share/doc pointing to /usr/share/GNUstep/Documentation.
  * debian/gnustep-base-doc.doc-base.additions: Use /usr/share/doc
    symlinks for doc-base registration; fixes a lintian error.
  * debian/gnustep-base-doc.doc-base.base: Likewise.
  * debian/gnustep-base-doc.doc-base.manual: Likewise.
  * debian/gnustep-base-doc.doc-base.standards: Likewise.
  * debian/gnustep-base-doc.doc-base.tools: Likewise.
  * debian/patches/gdomap-udp-amplification.patch: New; fix UDP
    amplification vulnerability.  Thanks Alan Jenkins.
  * debian/patches/fix-spelling-error.patch: Fix yet another typo.
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Standards-Version): Bump to 4.4.0; no
    changes required.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 18 Sep 2019 00:38:19 +0300

=== debian/control ===
# -*-debian-control-*-
# NOTE: debian/control is generated from debian/templates/control.m4
Source: gnustep-base
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
           Gürkan Myczko <gurkan@phys.ethz.ch>,
           Yavor Doganov <yavor@gnu.org>
Section: gnustep
Priority: optional
Build-Depends: debhelper (>= 13~),
               gnustep-make (>= 2.7.0-4),
               gobjc,
               libffi-dev,
               libxml2-dev,
               libxslt1-dev,
               libgnutls28-dev,
               zlib1g-dev,
               m4,
               libavahi-client-dev,
               libicu-dev,
               dh-exec,
               tzdata
Build-Depends-Indep: texinfo,
                     texlive-latex-base,
                     texlive-fonts-recommended,
                     xml-core
Build-Conflicts: libgmp3-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-base
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-base.git
Homepage: http://gnustep.org

Package: gnustep-base-common
Architecture: all
Depends: gnustep-common (>= 2.7.0-4),
         ca-certificates,
         tzdata,
         ${misc:Depends}
Description: GNUstep Base library - common files
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This package contains the common files needed by the GNUstep Base library.

Package: gnustep-base-runtime
Architecture: any
Depends: gnustep-base-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         lsb-base
Description: GNUstep Base library - daemons and tools
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This package contains the runtime support files needed by GNUstep
 applications.

Package: libgnustep-base1.27
Section: libs
Architecture: any
Depends: gnustep-base-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gnustep-base-runtime (= ${binary:Version})
Description: GNUstep Base library
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.  It includes for example classes for unicode strings, arrays,
 dictionaries, sets, byte streams, typed coders, invocations,
 notifications, notification dispatchers, scanners, tasks, files,
 networking, threading, remote object messaging support (distributed
 objects), event loops, loadable bundles, attributed unicode strings,
 xml, mime, user defaults.

Package: libgnustep-base-dev
Section: libdevel
Architecture: any
Depends: libgnustep-base1.27 (= ${binary:Version}),
         gnustep-base-runtime (= ${binary:Version}),
         gnustep-make (>= 2.7.0-4),
         ${misc:Depends}
Suggests: gnustep-base-doc
Description: GNUstep Base header files and development libraries
 This package contains the header files and static libraries required
 to build applications against the GNUstep Base library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gnustep-base-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libgnustep-base-dev
Description: Documentation for the GNUstep Base Library
 This package contains the GNUstep Base Library API reference, as well
 as the GNUstep Base programming manual and GNUstep Coding Standards
 in Info, HTML and PDF format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined

# config.mk is provided by gnustep-make package
include /usr/share/GNUstep/debian/config.mk

# Install in debian/tmp
export DESTDIR=$(CURDIR)/debian/tmp

##### VERSION NUMBERS #################################

# Objective-C version :
v_objc := 4:7.2

# GNUstep Make version :
v_make	:= 2.7.0-4

# GNUstep Base version :
v_base	:= $(shell . ./Version; echo $$VERSION)

# GNUstep Base SONAME version :
sov_base := $(shell . ./Version; echo $$MAJOR_VERSION.$$MINOR_VERSION)

#### PACKAGES NAMES ###################################
p_com	= gnustep-base-common
p_run	= gnustep-base-runtime
p_lib	= libgnustep-base$(sov_base)
p_dev	= libgnustep-base-dev
p_doc	= gnustep-base-doc

### DIRS ##############################################
GS_DTDs_DEBIAN = usr/share/xml/gnustep
GS_BASE_RESOURCES_UPSTREAM = $(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources
GS_BASE_RESOURCES_DEBIAN = usr/share/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources

#####################################################"#

%:
	dh $@

# Ensure that debian/control is always up-to-date.
override_dh_testdir:
	m4 \
	    -DV_OBJC='$(v_objc)' \
	    -DV_MAKE='$(v_make)' \
	    -DSOV_BASE='$(sov_base)' \
	    debian/templates/control.m4 > debian/control
	dh_testdir

override_dh_auto_configure:
# generate libgnustep-baseN lintian overrides file
	m4 \
	    -DSOV_BASE='$(sov_base)' \
	    debian/templates/libgnustep-baseN.lintian-overrides.m4 > debian/$(p_lib).lintian-overrides

# generate maintainer scripts
	b=$(p_run); \
	for ext in preinst postinst prerm postrm; do \
	    if [ -f debian/templates/$$b.$$ext.in ]; then \
		sed -e 's,@GDOMAP@,$(GNUSTEP_SYSTEM_TOOLS)/gdomap,g' \
		    debian/templates/$$b.$$ext.in > debian/$$b.$$ext; \
	    fi; \
	done

# generate gdomap.init file
		sed -e 's,@GDOMAP@,$(GNUSTEP_SYSTEM_TOOLS)/gdomap,g' \
		    -e 's,@GSMAKEFILES@,$(GNUSTEP_MAKEFILES),g' \
		    debian/templates/$(p_run).gdomap.init.in > debian/$(p_run).gdomap.init;

# generate gnustep-base-runtime.install file
	sed -e 's,@GS_TOOLS@,$(GNUSTEP_SYSTEM_TOOLS),g' \
	    debian/templates/$(p_run).install.in > debian/$(p_run).install; \
		chmod a+x debian/$(p_run).install

# generate gnustep-base-runtime.links file
	sed -e 's,@GS_MANPAGES@,$(GNUSTEP_SYSTEM_DOC_MAN),g' \
	    debian/templates/$(p_run).links.in > debian/$(p_run).links;

# generate gnustep-base-common.install file
	sed -e 's,@GS_BASE_RESOURCES_UPSTREAM@,$(GS_BASE_RESOURCES_UPSTREAM),g' \
	    -e 's,@GS_BASE_RESOURCES_DEBIAN@,$(GS_BASE_RESOURCES_DEBIAN),g' \
	    debian/templates/$(p_com).install.in > debian/$(p_com).install

# generate gnustep-base-common.links file
	sed -e 's,@GS_BASE_RESOURCES_DEBIAN@,$(GS_BASE_RESOURCES_DEBIAN),g' \
	    debian/templates/$(p_com).links.in > debian/$(p_com).links

# generate gnustep-base-common.xmlcatalogs file
	sed -e 's,@GS_DTDs_DEBIAN@,/$(GS_DTDs_DEBIAN),g' \
	    debian/templates/$(p_com).xmlcatalogs.in > debian/$(p_com).xmlcatalogs

# generate libgnustep-baseN.install file
	sed -e 's,@GS_LIBS@,$(GNUSTEP_SYSTEM_LIBRARIES),g' \
	    debian/templates/libgnustep-baseN.install.in > debian/$(p_lib).install

# generate libgnustep-base-dev.install file
	sed -e 's,@GS_HEADERS@,$(GNUSTEP_SYSTEM_HEADERS),g' \
	    -e 's,@GS_LIBS@,$(GNUSTEP_SYSTEM_LIBRARIES),g' \
	    -e 's,@GS_MAKEFILES@,$(GNUSTEP_MAKEFILES),g' \
	    debian/templates/$(p_dev).install.in > debian/$(p_dev).install

# generate gnustep-base-doc.install file
	sed -e 's,@GS_DOC@,$(GNUSTEP_SYSTEM_DOC),g' \
	    -e 's,@GS_INFO@,$(GNUSTEP_SYSTEM_DOC_INFO),g' \
	    debian/templates/$(p_doc).install.in > debian/$(p_doc).install; \
		chmod a+x debian/$(p_doc).install

# Override the test for libkvm to ensure that /proc is used on
# GNU/kFreeBSD even if libkvm-dev is installed (#593898).
	dh_auto_configure -- \
	    ac_cv_lib_kvm_kvm_getenvv=no \
	    --disable-bfd  || (cat config.log; exit 1)

override_dh_auto_build-arch:
# build shared libs
	dh_auto_build -- \
	    $(verbose) \
	    $(optim) \
	    doc=no \
	    $(shell dpkg-buildflags --export=cmdline)

# build dev/static lib
	dh_auto_build -- \
	    -C Source \
	    $(verbose) \
	    $(optim) \
	    doc=no \
	    shared=no

override_dh_auto_build-indep:
# build shared libs
	dh_auto_build -- \
	    $(verbose) \
	    $(optim) \
	    doc=no

# build main doc. Make sure autogsdoc can find the libraries.
	LD_LIBRARY_PATH=$(CURDIR)/Source/obj:$$LD_LIBRARY_PATH \
	dh_auto_build -- \
	    -C Documentation \
	    $(verbose) \
	    $(optim) \
	    doc=yes

override_dh_auto_test:
	dh_auto_test -- \
	    $(verbose)  || (cat Tests/tests.log; exit 1)

override_dh_auto_install-arch:
# install shared version of libraries
	dh_auto_install -- \
	    doc=no

# install dev/static lib
	dh_auto_install -- \
	    -C Source \
	    doc=no \
	    shared=no

override_dh_auto_install-indep:
# install shared version of libraries
	dh_auto_install -- \
	    doc=no

# install doc
	dh_auto_install -- \
	    -C Documentation \
	    doc=yes
# Delete duplicate files already shipped at /usr/share/doc/.
	$(RM) -r \
	  debian/tmp$(GNUSTEP_SYSTEM_DOC)/Developer/Base/ReleaseNotes/1.*
# Delete README which triggers lintian I: gnustep-base-common:
# package-contains-documentation-outside-usr-share-doc.  These
# instructions are unnecessary as the Debian package uses tzdata.
	$(RM) debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/README

override_dh_auto_clean-indep:
	dh_auto_clean -- \
	    doc=yes


override_dh_installcatalogs-indep:
# Bug #637093
	dh_installxmlcatalogs -p$(p_com) -n
	dh_installcatalogs --remaining-packages

# Install the gdomap init script
override_dh_installinit:
	dh_installinit -p$(p_run) --name=gdomap --no-enable --no-start

# Install examples
override_dh_installexamples:
	dh_installexamples -p$(p_doc) -X.cvsignore -X.gdbinit -X.arch-ids
	dh_installexamples --remaining-packages

override_dh_shlibdeps:
	dh_shlibdeps
# Recalculate dependencies of the shared library to ensure that
# gnustep-base-runtime is added as additional dependency.
	dh_makeshlibs -p$(p_lib) \
	  -V '$(p_lib) (>= $(v_base)), $(p_run) (>= $(v_base))'

## gnustep-base 1.28.0

=== Makefile ===
#
#  Depreciated Makefile for GNUstep Base Library.
#  
#  Copyright (C) 1997 Free Software Foundation, Inc.
#
#  Written by:	Scott Christley <scottc@net-community.com>
#
#  This file is part of the GNUstep Base Library.
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#  Boston, MA 02111 USA
#

all:
	@echo You need to use GNU make to compile the GNUstep Base Library

=== debian/changelog ===
gnustep-base (1.28.0-4build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:52:13 +0100

gnustep-base (1.28.0-4) unstable; urgency=medium

  * debian/patches/kbsd-test.patch: New; skip an NSFileManager failing
    test on GNU/kFreeBSD and obtain result instead.
  * debian/patches/series: Update.
  * debian/rules (override_dh_auto_test): Print test result.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 10 Dec 2021 10:42:55 +0200

gnustep-base (1.28.0-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/clean: Fix build twice in a row which got accidentally broken
    in 1.28.0-1 by yours truly.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Dec 2021 01:46:20 +0200

gnustep-base (1.28.0-2) experimental; urgency=medium

  * debian/rules (override_dh_auto_configure): Pass
    --with-installation-domain in an attempt to fix a completely awkward
    build failure on GNU/Hurd.
  * debian/not-installed: Remove pl tool, now installed.
  * debian/clean: Use glob patterns for generated library files.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 16 Nov 2021 23:34:46 +0200

gnustep-base (1.28.0-1) experimental; urgency=medium

  * New upstream release:
    - SONAME change: libgnustep-base1.27 -> 1.28.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (Build-Depends): Switch to
    debhelper-compat.  Remove dh-exec; not needed as of this release.
    (Uploaders): Change Gürkan's email address.
    (Standards-Version): Bump to 4.6.0; no changes required.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/compat: Delete.
  * debian/rules (v_make): Bump to 2.9.0 for @setfilename fix;
    the package will FTBFS with older versions of gnustep-make.
    (override_dh_auto_configure): Do not generate
    gnustep-base-doc.install and gnustep-base-runtime.install from
    templates; utterly pointless.
    (override_dh_auto_install-indep): Convert French and German
    translations to UTF-8 to avoid lintian warning.
  * debian/templates/gnustep-base-doc.install.in: Delete.
  * debian/templates/gnustep-base-runtime.install.in: Likewise.
  * debian/gnustep-base-doc.install: New file.
  * debian/gnustep-base-runtime.install: Likewise.
  * debian/templates/gnustep-base-runtime.links.in: Adjust symlink for
    pl's manpage.
  * debian/clean: Adjust for the new SONAME and doc-related changes.
  * debian/not-installed: Remove usr/share/info, now installed.
  * debian/gnustep-base-doc.doc-base.manual: Adjust PDF file.
  * debian/gnustep-base-doc.doc-base.standards: Likewise.
  * debian/patches/pkg-config-macro.patch: Refresh.
  * debian/patches/fix-spelling-error.patch: Likewise.
  * debian/patches/fix-tests-network.patch: Likewise.
  * debian/patches/doc-links.patch: Remove; applied upstream.
  * debian/patches/icu65.patch: Likewise.
  * debian/patches/gstls-time_t-limitation.patch: Likewise.
  * debian/patches/pldes-manpage-rename.patch: Remove; no longer necessary
    following the restoration of the pl tool.
  * debian/patches/plutil-manpage.patch: New; install plutil manpage and
    fix some roff warnings that cause lintian warnings.
  * debian/patches/series: Update.
  * debian/README.Debian: Delete; no longer needed.
  * debian/gnustep-base-runtime.lintian-overrides: Amend to match current
    lintian's expectations.
  * debian/gnustep-base-doc.lintian-overrides: Let it apply to all docs.
  * debian/gnustep-base-runtime.preinst: Delete; no longer needed.
  * debian/changelog: Typo fix.
  * debian/copyright: Update copyright years, fix redundant pattern.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 14 Nov 2021 16:50:04 +0200

gnustep-base (1.27.0-4) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Fix FTBFS with
    Autoconf/2.71 (Closes: #995007).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Sep 2021 22:15:52 +0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Source: gnustep-base
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
-           Gürkan Myczko <gurkan@phys.ethz.ch>,
+           Gürkan Myczko <tar@debian.org>,
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 13~),
-               gnustep-make (>= 2.7.0-4),
+Build-Depends: debhelper-compat (= 13),
+               gnustep-make (>= 2.9.0),
                gobjc,
                libffi-dev,
                libxml2-dev,
@@ -18,7 +18,6 @@
                m4,
                libavahi-client-dev,
                libicu-dev,
-               dh-exec,
                tzdata
 Build-Depends-Indep: texinfo,
                      texlive-latex-base,
@@ -26,14 +25,14 @@
                      xml-core
 Build-Conflicts: libgmp3-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-base
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-base.git
 Homepage: http://gnustep.org
 
 Package: gnustep-base-common
 Architecture: all
-Depends: gnustep-common (>= 2.7.0-4),
+Depends: gnustep-common (>= 2.9.0),
          ca-certificates,
          tzdata,
          ${misc:Depends}
@@ -60,7 +59,7 @@
  This package contains the runtime support files needed by GNUstep
  applications.
 
-Package: libgnustep-base1.27
+Package: libgnustep-base1.28
 Section: libs
 Architecture: any
 Depends: gnustep-base-common (= ${source:Version}),
@@ -81,9 +80,9 @@
 Package: libgnustep-base-dev
 Section: libdevel
 Architecture: any
-Depends: libgnustep-base1.27 (= ${binary:Version}),
+Depends: libgnustep-base1.28 (= ${binary:Version}),
          gnustep-base-runtime (= ${binary:Version}),
-         gnustep-make (>= 2.7.0-4),
+         gnustep-make (>= 2.9.0),
          ${misc:Depends}
 Suggests: gnustep-base-doc
 Description: GNUstep Base header files and development libraries

## gnustep-base 1.28.1

=== debian/changelog ===
gnustep-base (1.28.1-2) unstable; urgency=medium

  * debian/patches/nstimezone-32bit-time_t.patch: New; skip tests that
    rely on 64bit time_t on all 32-bit architectures (Closes: #1028020).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 06 Jan 2023 11:45:04 +0200

gnustep-base (1.28.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-tests-network.patch: Update and refresh.
  * debian/patches/texinfo5.diff: Refresh.
  * debian/patches/fix-tests-timings.patch: Remove unnecessary hunks.
  * debian/patches/hurd-nsurlconnection.patch: Refresh.
  * debian/patches/plutil-manpage.patch: Remove hunk applied upstream.
  * debian/patches/tmp-test-fix.patch: New; disable two tests as temporary
    measure; more investigation is needed.
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Build-Depends): Add gnutls-bin
    <!nocheck>; needed by GSTLS tests.
    (libgnustep-base`'SOV_BASE) <Depends>: Add gnutls-bin, required by
    GSTLS.
    (Standards-Version): Bump to 4.6.2; no changes needed.
  * debian/control: Regenerate.
  * debian/rules (override_dh_auto_install-indep): Do not convert
    translations; no longer needed.
  * debian/gnustep-base-common.docs: Adjust renamed README file.
  * debian/gnustep-base-doc.docs: Likewise.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 03 Jan 2023 19:33:10 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                gnustep-make (>= 2.9.0),
+               gnutls-bin <!nocheck>,
                gobjc,
                libffi-dev,
                libxml2-dev,
@@ -25,7 +26,7 @@
                      xml-core
 Build-Conflicts: libgmp3-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-base
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-base.git
 Homepage: http://gnustep.org
@@ -63,6 +64,7 @@
 Section: libs
 Architecture: any
 Depends: gnustep-base-common (= ${source:Version}),
+         gnutls-bin,
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: gnustep-base-runtime (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 v_objc := 4:7.2
 
 # GNUstep Make version :
-v_make	:= 2.7.0-4
+v_make	:= 2.9.0
 
 # GNUstep Base version :
 v_base	:= $(shell . ./Version; echo $$VERSION)
@@ -70,11 +70,6 @@
 		    -e 's,@GSMAKEFILES@,$(GNUSTEP_MAKEFILES),g' \
 		    debian/templates/$(p_run).gdomap.init.in > debian/$(p_run).gdomap.init;
 
-# generate gnustep-base-runtime.install file
-	sed -e 's,@GS_TOOLS@,$(GNUSTEP_SYSTEM_TOOLS),g' \
-	    debian/templates/$(p_run).install.in > debian/$(p_run).install; \
-		chmod a+x debian/$(p_run).install
-
 # generate gnustep-base-runtime.links file
 	sed -e 's,@GS_MANPAGES@,$(GNUSTEP_SYSTEM_DOC_MAN),g' \
 	    debian/templates/$(p_run).links.in > debian/$(p_run).links;
@@ -102,16 +97,19 @@
 	    -e 's,@GS_MAKEFILES@,$(GNUSTEP_MAKEFILES),g' \
 	    debian/templates/$(p_dev).install.in > debian/$(p_dev).install
 
-# generate gnustep-base-doc.install file
-	sed -e 's,@GS_DOC@,$(GNUSTEP_SYSTEM_DOC),g' \
-	    -e 's,@GS_INFO@,$(GNUSTEP_SYSTEM_DOC_INFO),g' \
-	    debian/templates/$(p_doc).install.in > debian/$(p_doc).install; \
-		chmod a+x debian/$(p_doc).install
-
 # Override the test for libkvm to ensure that /proc is used on
 # GNU/kFreeBSD even if libkvm-dev is installed (#593898).
+# Workaround FTBFS with Autoconf/2.71 (#995007) related to
+# AC_CONFIG_AUX_DIR; more investigation is needed for a proper fix.
+# In principle it is not necessary to pass --with-installation-domain
+# because it is derived by gnustep-config which in turn checks the
+# GNUSTEP_INSTALLATION_DOMAIN variable (defined in config.mk which is
+# included here).  However, for some reason 1.28.0-1 mysteriously
+# failed to build on GNU/Hurd so this is an attempt to fix it.
 	dh_auto_configure -- \
+	    CURRENT_GNUSTEP_MAKEFILES=$(GNUSTEP_MAKEFILES) \
 	    ac_cv_lib_kvm_kvm_getenvv=no \
+	    --with-installation-domain=SYSTEM \
 	    --disable-bfd  || (cat config.log; exit 1)
 
 override_dh_auto_build-arch:
@@ -148,6 +146,13 @@
 override_dh_auto_test:
 	dh_auto_test -- \
 	    $(verbose)  || (cat Tests/tests.log; exit 1)
+# Print result from failing test on GNU/kFreeBSD and eventually
+# GNU/Hurd; see debian/patches/kbsd-test.patch.
+ifeq (,(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq ($(DEB_BUILD_ARCH_OS),linux)
+	-cat Tests/base/NSFileManager/result.log
+endif
+endif
 
 override_dh_auto_install-arch:
 # install shared version of libraries

## gnustep-base 1.28.1+really1.28.0

=== debian/changelog ===
gnustep-base (1.28.1+really1.28.0-5) unstable; urgency=medium

  * Revert uploads 1.28.1-1 and 1.28.1-2 thus restoring upstream 1.28.0
    release.  1.28.1 was mistakently uploaded to unstable as it introduced
    an ABI break discovered post-factum (Closes: #1028189).
  * debian/gbp.conf: Set debian-branch to snafu.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 09 Jan 2023 16:54:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -181,6 +181,12 @@
 # package-contains-documentation-outside-usr-share-doc.  These
 # instructions are unnecessary as the Debian package uses tzdata.
 	$(RM) debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/README
+# Convert translations to UTF-8 to avoid lintian warnings.
+	for l in French German; do \
+	  uconv -f UTF-16BE -t UTF-8 --add-signature \
+	    < Resources/$$l.lproj/Localizable.strings > \
+	    debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/$$l.lproj/Localizable.strings; \
+	done
 
 override_dh_auto_clean-indep:
 	dh_auto_clean -- \

## gnustep-base 1.29.0

=== debian/changelog ===
gnustep-base (1.29.0-4ubuntu2) mantic; urgency=medium

  * Revert previous upload, disable failing tests instead

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jul 2023 16:38:58 +0200

gnustep-base (1.29.0-4ubuntu1) mantic; urgency=medium

  * Increase timeouts again, they don't fail locally and in Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jul 2023 16:09:40 +0200

gnustep-base (1.29.0-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/patches/tmp-test-fix.patch: Move #include of tzdb.h in
    NSTimeZone.m a bit earlier so that the POSIX_TZONES conditional is
    correct.  As of tzdata/2023c-6 /usr/share/zoneinfo/posix is removed.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 16 Jun 2023 23:14:46 +0300

gnustep-base (1.29.0-3) experimental; urgency=medium

  * debian/patches/nscalendardate-hppa+ppc.patch: Fix conditional.  Also
    skip NSTimeZone localtime tests on these architectures.
  * debian/patches/kbsd-test.patch: Adjust conditional to match
    GNU/kFreeBSD only; the test passes on GNU/Hurd.
  * debian/rules (override_dh_auto_test): Print the result of the failing
    NSFileManager test only on GNU/kFreeBSD.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 23 Feb 2023 15:10:21 +0200

gnustep-base (1.29.0-2) experimental; urgency=medium

  * debian/patches/nstimezone-32bit-time_t.patch: Fix stupid typo which
    caused build failure for that file.
  * debian/patches/nscalendardate-hppa+ppc.patch: New; as temporary
    measure skip DST tests on hppa and powerpc.
  * debian/patches/texinfo5.diff: Delete; fixed upstream in a better way.
  * debian/rules (v_make): Bump to 2.9.1-2, for "nodoc" support.
    (override_dh_auto_configure): Conditionally create .install and .links
    files for the gnustep-base-doc package.
    (override_dh_auto_build-indep): Enclose documentation-related commands
    within an appropriate nodoc conditional.
    (override_dh_auto_install-indep): Likewise.
    (override_dh_auto_test): Remove unnecessary conditional.
  * debian/templates/control.m4 (Build-Depends-Indep): Annotate all but
    xml-core with <!nodoc>; they are only needed for building docs.
    (gnustep-base-doc) <Build-Profiles>: Set to <!nodoc>.
    (gnustep-base-runtime) <Depends>: Remove lsb-base; obsolete.
  * debian/control: Regenerate.
  * debian/gnustep-base-doc.install: Rename as...
  * debian/templates/gnustep-base-doc.install.in: ...for "nodoc" support.
  * debian/gnustep-base-doc.links: Rename as...
  * debian/templates/gnustep-base-doc.links.in: ...as above.
  * debian/clean: Add gnustep-base-doc.{install,links}.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 22 Feb 2023 18:53:19 +0200

gnustep-base (1.29.0-1) experimental; urgency=medium

  * New upstream release (identical to 1.28.1 which was mistakenly
    uploaded to unstable).
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control: Regenerate to reflect the SONAME change.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 08 Jan 2023 11:10:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Section: gnustep
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               gnustep-make (>= 2.9.0),
+               gnustep-make (>= 2.9.1-2),
                gnutls-bin <!nocheck>,
                gobjc,
                libffi-dev,
@@ -20,9 +20,9 @@
                libavahi-client-dev,
                libicu-dev,
                tzdata
-Build-Depends-Indep: texinfo,
-                     texlive-latex-base,
-                     texlive-fonts-recommended,
+Build-Depends-Indep: texinfo <!nodoc>,
+                     texlive-latex-base <!nodoc>,
+                     texlive-fonts-recommended <!nodoc>,
                      xml-core
 Build-Conflicts: libgmp3-dev
 Rules-Requires-Root: no
@@ -33,7 +33,7 @@
 
 Package: gnustep-base-common
 Architecture: all
-Depends: gnustep-common (>= 2.9.0),
+Depends: gnustep-common (>= 2.9.1-2),
          ca-certificates,
          tzdata,
          ${misc:Depends}
@@ -50,7 +50,6 @@
 Depends: gnustep-base-common (= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
-         lsb-base
 Description: GNUstep Base library - daemons and tools
  The GNUstep Base Library is a powerful fast library of
  general-purpose, non-graphical Objective C classes, inspired by the
@@ -60,7 +59,7 @@
  This package contains the runtime support files needed by GNUstep
  applications.
 
-Package: libgnustep-base1.28
+Package: libgnustep-base1.29
 Section: libs
 Architecture: any
 Depends: gnustep-base-common (= ${source:Version}),
@@ -82,9 +81,9 @@
 Package: libgnustep-base-dev
 Section: libdevel
 Architecture: any
-Depends: libgnustep-base1.28 (= ${binary:Version}),
+Depends: libgnustep-base1.29 (= ${binary:Version}),
          gnustep-base-runtime (= ${binary:Version}),
-         gnustep-make (>= 2.9.0),
+         gnustep-make (>= 2.9.1-2),
          ${misc:Depends}
 Suggests: gnustep-base-doc
 Description: GNUstep Base header files and development libraries
@@ -97,6 +96,7 @@
 Package: gnustep-base-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: libgnustep-base-dev

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 v_objc := 4:7.2
 
 # GNUstep Make version :
-v_make	:= 2.9.0
+v_make	:= 2.9.1-2
 
 # GNUstep Base version :
 v_base	:= $(shell . ./Version; echo $$VERSION)
@@ -96,6 +96,14 @@
 	    -e 's,@GS_LIBS@,$(GNUSTEP_SYSTEM_LIBRARIES),g' \
 	    -e 's,@GS_MAKEFILES@,$(GNUSTEP_MAKEFILES),g' \
 	    debian/templates/$(p_dev).install.in > debian/$(p_dev).install
+
+# When "nodoc" is present in DEB_BUILD_OPTIONS, the gnustep-make-doc
+# package is created nearly empty, as required by Policy.  If it is
+# also present in DEB_BUILD_PROFILES, the package is not built at all.
+ifdef docs
+	cp debian/templates/$(p_doc).install.in debian/$(p_doc).install
+	cp debian/templates/$(p_doc).links.in debian/$(p_doc).links
+endif
 
 # Override the test for libkvm to ensure that /proc is used on
 # GNU/kFreeBSD even if libkvm-dev is installed (#593898).
@@ -135,23 +143,23 @@
 	    $(optim) \
 	    doc=no
 
+ifdef docs
 # build main doc. Make sure autogsdoc can find the libraries.
 	LD_LIBRARY_PATH=$(CURDIR)/Source/obj:$$LD_LIBRARY_PATH \
 	dh_auto_build -- \
 	    -C Documentation \
 	    $(verbose) \
 	    $(optim) \
-	    doc=yes
+	    $(docs)
+endif
 
 override_dh_auto_test:
 	dh_auto_test -- \
 	    $(verbose)  || (cat Tests/tests.log; exit 1)
-# Print result from failing test on GNU/kFreeBSD and eventually
-# GNU/Hurd; see debian/patches/kbsd-test.patch.
-ifeq (,(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq ($(DEB_BUILD_ARCH_OS),linux)
+# Print result from failing test on GNU/kFreeBSD; see
+# debian/patches/kbsd-test.patch.
+ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
 	-cat Tests/base/NSFileManager/result.log
-endif
 endif
 
 override_dh_auto_install-arch:
@@ -170,23 +178,19 @@
 	dh_auto_install -- \
 	    doc=no
 
+ifdef docs
 # install doc
 	dh_auto_install -- \
 	    -C Documentation \
-	    doc=yes
+	    $(docs)
 # Delete duplicate files already shipped at /usr/share/doc/.
 	$(RM) -r \
 	  debian/tmp$(GNUSTEP_SYSTEM_DOC)/Developer/Base/ReleaseNotes/1.*
+endif
 # Delete README which triggers lintian I: gnustep-base-common:
 # package-contains-documentation-outside-usr-share-doc.  These
 # instructions are unnecessary as the Debian package uses tzdata.
 	$(RM) debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/README
-# Convert translations to UTF-8 to avoid lintian warnings.
-	for l in French German; do \
-	  uconv -f UTF-16BE -t UTF-8 --add-signature \
-	    < Resources/$$l.lproj/Localizable.strings > \
-	    debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/$$l.lproj/Localizable.strings; \
-	done
 
 override_dh_auto_clean-indep:
 	dh_auto_clean -- \
